Last Comment Bug 766753 - move unrelated startup code out of command line handler component
: move unrelated startup code out of command line handler component
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Webapp Runtime (show other bugs)
: 14 Branch
: All All
: P3 normal
: ---
Assigned To: Myk Melez [:myk] [@mykmelez]
: Jason Smith [:jsmith]
Mentors:
Depends on: 770770
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 15:26 PDT by Myk Melez [:myk] [@mykmelez]
Modified: 2016-03-21 12:39 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Myk Melez [:myk] [@mykmelez] 2012-06-20 15:26:33 PDT
The command line handler component (CommandLineHandler.js) initializes the webapp registry and sets permissions on firstrun in addition to handling the command line.  It does this unrelated work because the work has to be done on startup, before the app is loaded, and the component seemed as good a place as any for it.

But failure in that script is catastrophic (the app can't load), whereas failure in the unrelated work isn't, so putting it into that component makes it unnecessarily failure-prone.  Thus we should move the unrelated work into its own script, f.e. a component that registers for a startup notification but implements no interface (like mobile/android/components/SafeBrowsing.js).
Comment 1 Jason Smith [:jsmith] 2012-06-27 10:51:48 PDT
Myk - What's the priority here? Can you determine it and explain why?
Comment 2 Myk Melez [:myk] [@mykmelez] 2012-07-02 15:32:51 PDT
This is a code hygiene issue and thus merely nice to have.
Comment 3 Myk Melez [:myk] [@mykmelez] 2012-08-10 10:08:40 PDT
The patch in bug 770770 happens to do this.
Comment 4 Myk Melez [:myk] [@mykmelez] 2012-08-16 09:16:29 PDT
Fixed by the fix for bug 770770.

Note You need to log in before you can comment on or make changes to this bug.